## INTRODUCTION

The Responsive Voice TTS module provides a text-to-speech (TTS) solution for Drupal websites by integrating with the ResponsiveVoice service. This module allows administrators to select content types (like articles or posts) for which a "Listen to this content" button is displayed. The button reads out the content using the specified voice and offers pause, resume, and play functionality.

The module is accessibility-friendly, offering keyboard shortcuts like Shift + P for play and Shift + S for pause and resume, catering to visually impaired users. Administrators can place the TTS block in any theme region, giving flexibility for adding the feature site-wide or on specific pages.

The primary use case for this module is:

- Accessibility Enhancement: Provides visually impaired users the ability to listen to content without using a screen reader, improving accessibility and user experience.

- Blogging Platforms: Allows blog readers to listen to posts while performing other tasks.

- Educational Websites: Facilitates listening to articles, research papers, or educational content for users who prefer auditory learning.

- Multitasking Users: Lets visitors listen to content while navigating other parts of the website or performing other activities.


## REQUIREMENTS

This module requires no modules outside of Drupal core.

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION

Configure the admin toolbar tools at (/admin/config/services/responsive-voice-tts).

## MAINTAINERS

- Rashmi Singh (crabsoul) - https://www.drupal.org/u/crabsoul

