/**
 * @file
 * Responsive Voice TTS Play Pause buttons behaviors.
 */

(function ($, Drupal) {
  Drupal.behaviors.responsiveVoicePlayer = {
    attach: function (context, settings) {

      let isPaused = false;

      $('.voicetts-actionbtn').click(function () {
        if (isPaused) {
          // Resume functionality
          responsiveVoice.resume();
          $(this).removeClass('resume').addClass('pause').text('Pause');
        } else {
          // Pause functionality
          responsiveVoice.pause();
          $(this).removeClass('pause').addClass('resume').text('Resume');
        }
        // Toggle the state
        isPaused = !isPaused;
      });
      $('.voicettsBtn.play').click(function () {
        isPaused = false;
        $('.voicetts-actionbtn').removeClass('resume').addClass('pause').text('Pause');
      });
      // Add a keyboard shortcut (e.g., Alt + P for play/pause)
      $(document).on('keydown', function (e) {
        if (e.shiftKey && e.key.toLowerCase() === 'p') {
          console.log("in code");
          $('.voicettsBtn.play').click();  // Simulate button click
        }
        if (e.shiftKey && e.key.toLowerCase() === 's') {
          console.log("in code a");
          $('.voicetts-actionbtn').click();  // Simulate button click
        }
      });
    }
  };
})(jQuery, Drupal);
